Subject: [bug#55896] [PATCH] gnu: Add python-pybare.

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 18:59:23 -0500

On Thu, 07 Jul 2022 16:33:20 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hello,
> 
> jgart <[email-masked]> writes:
> 
> [...]
> 
> > Hi Maxime, no worries. Take your time. The review is much appreciated.
> >
> > I just looked at the sources again myself and noticed that the tests
> > use pre-generated BARE binaries to test against.
> >
> > See here:
> >
> > https://git.sr.ht/~chiefnoah/pybare/tree/master/item/bare/test_encoder.py#L225
> >
> > and here:
> >
> > https://git.sr.ht/~chiefnoah/pybare/tree/master/item/bare/_examples
> >
> > Should I ask the author if they can provide a way to generate those
> > binaries for testing instead of vendoring the pre-compiled binaries
> > without their sources?
> 
> Yes, please ask.  Otherwise, we'll have to delete the binaries from
> unknown source in a source snippet and not run the test suite...

I asked already. But I'll have to do some more research.

The author mentioned that they go the binaries from Drew Devault's implementation of the same library in golang.

I think Drew Devault is also vendoring the binaries iirc.

TODO:

So, I'll have to contact Drew and ask him if he can generate the binaries instead of vendoring them in.

all best,

jgart